Skip to main content
POST
/
invitation-lists
/
{invitation_list_id}
/
contact
/
{contact_id}
Add Contact to Invitation List
curl --request POST \
  --url https://api.swoogo.com/api/v1/invitation-lists/{invitation_list_id}/contact/{contact_id} \
  --header 'Authorization: Bearer <token>'
{
  "event_id": 4261,
  "list_id": 34,
  "contact_id": 477,
  "status": "no_email_sent",
  "created_at": "2025-10-06 21:27:57",
  "created_by": 1
}

Authorizations

Authorization
string
header
required

OAuth 2.0 bearer token obtained from POST /oauth2/token. Tokens expire after 30 minutes. Include in the Authorization header as Bearer {access_token}.

Path Parameters

invitation_list_id
integer
required

integer - required - The ID of the invitation list

Example:

34

contact_id
integer
required

integer - required - The ID of the contact

Example:

477

Response

Contact Added Successfully

event_id
integer

The ID of the event this invitation list belongs to

Example:

4261

list_id
integer

The ID of the invitation list

Example:

34

contact_id
integer

The ID of the contact that was added

Example:

477

status
string

The status of the contact in the invitation list

Example:

"no_email_sent"

created_at
string

When the contact was added to the invitation list

Example:

"2025-10-06 21:27:57"

created_by
integer

The ID of the user who added the contact

Example:

1